; /home/mamoru.suzuki/Program/crystfel-0.6.0/src/.libs/lt-geoptimiser -i /work/sugahara/kunisima/thermolysin/150603_PTP3/150707_try_31/Stream/sim_333580.stream -g /work/sugahara/kunisima/thermolysin/150603_PTP3/150707_try_31/333580.geom -o 333580_opt.geom -e -c connected -q independent
; Optimized panel offsets can be found at the end of the file
; CrystFEL geometry file produced by averageImageGain
;   Takanori Nakane (takanori.nakane@bs.s.u-tokyo.ac.jp)
; for tiled but NOT reassembled images (512x8192 pixels)

; NOTE:
; This file is for multi-event HDF5 files. To use in single-event
; files, you have to edit 'data' record and prepare .beam file

clen = 0.05210; You SHOULD optimize this!
res = 20000  ; 50 micron  1m /50 micron
;badrow_direction = x
;adu_per_eV = /LCLS/adu_per_eV
;max_adu = 250000 ; should NOT be used. see best practice on Web
data = /%/data ; change this to /LCLS/data for single-event files
photon_energy = /%/photon_energy_ev ; roughly 7031.973135. change this to /LCLS/photon_energy_eV for single-event files
rigid_group_q1 = q1
rigid_group_q2 = q2
rigid_group_q3 = q3
rigid_group_q4 = q4
rigid_group_q5 = q5
rigid_group_q6 = q6
rigid_group_q7 = q7
rigid_group_q8 = q8

rigid_group_collection_connected = q1,q2,q3,q4,q5,q6,q7,q8
rigid_group_collection_independent = q1,q2,q3,q4,q5,q6,q7,q8

q1/adu_per_eV = 0.001422
q1/min_fs = 0
q1/min_ss = 0
q1/max_fs = 511
q1/max_ss = 1023
q1/fs = +0.000556x -1.000000y
q1/ss = +1.000000x +0.000556y
q1/corner_x = 33.796
q1/corner_y = 1035.98

q2/adu_per_eV = 0.001422
q2/min_fs = 0
q2/min_ss = 1024
q2/max_fs = 511
q2/max_ss = 2047
q2/fs = -0.000656x -1.000000y
q2/ss = +1.000000x -0.000656y
q2/corner_x = 34.1574
q2/corner_y = 502.098

q3/adu_per_eV = 0.001422
q3/min_fs = 0
q3/min_ss = 2048
q3/max_fs = 511
q3/max_ss = 3071
q3/fs = -0.000885x -1.000000y
q3/ss = +1.000000x -0.000885y
q3/corner_x = -15.764
q3/corner_y = -33.1138

q4/adu_per_eV = 0.001422
q4/min_fs = 0
q4/min_ss = 3072
q4/max_fs = 511
q4/max_ss = 4095
q4/fs = -0.001116x -0.999999y
q4/ss = +0.999999x -0.001116y
q4/corner_x = -15.8413
q4/corner_y = -567.681

q5/adu_per_eV = 0.001422
q5/min_fs = 0
q5/min_ss = 4096
q5/max_fs = 511
q5/max_ss = 5119
q5/fs = +0.001157x +1.000000y
q5/ss = -1.000000x +0.001157y
q5/corner_x = 18.8005
q5/corner_y = 571.06

q6/adu_per_eV = 0.001422
q6/min_fs = 0
q6/min_ss = 5120
q6/max_fs = 511
q6/max_ss = 6143
q6/fs = +0.000351x +1.000000y
q6/ss = -1.000000x +0.000351y
q6/corner_x = 16.9724
q6/corner_y = 38.5011

q7/adu_per_eV = 0.001422
q7/min_fs = 0
q7/min_ss = 6144
q7/max_fs = 511
q7/max_ss = 7167
q7/fs = +0.000743x +1.000000y
q7/ss = -1.000000x +0.000743y
q7/corner_x = -32.361
q7/corner_y = -495.564

q8/adu_per_eV = 0.001422
q8/min_fs = 0
q8/min_ss = 7168
q8/max_fs = 511
q8/max_ss = 8191
q8/fs = +0.001959x +0.999998y
q8/ss = -0.999998x +0.001959y
q8/corner_x = -33.2022
q8/corner_y = -1031.22


q1/coffset = -0.000087
q2/coffset = -0.000087
q3/coffset = -0.000087
q4/coffset = -0.000087
q5/coffset = -0.000087
q6/coffset = -0.000087
q7/coffset = -0.000087
q8/coffset = -0.000087
